package com.yiqi.generator.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.generator.domain.GenForm;
import org.apache.ibatis.annotations.Mapper;

/**
 * 单生成记录Mapper接口
 *
 * @author xiaohei
 * @date 2023-07-23
 */
@Mapper
public interface GenFormMapper extends BaseMapper<GenForm> {
    /**
     * 查询单生成记录
     *
     * @param id 单生成记录主键
     * @return 单生成记录
     */
    public GenForm selectGenFormById(Long id);

    /**
     * 查询单生成记录列表
     *
     * @param genForm 单生成记录
     * @return 单生成记录集合
     */
    public List<GenForm> selectGenFormList(GenForm genForm);

    /**
     * 新增单生成记录
     *
     * @param genForm 单生成记录
     * @return 结果
     */
    public int insertGenForm(GenForm genForm);

    /**
     * 修改单生成记录
     *
     * @param genForm 单生成记录
     * @return 结果
     */
    public int updateGenForm(GenForm genForm);

    /**
     * 删除单生成记录
     *
     * @param id 单生成记录主键
     * @return 结果
     */
    public int deleteGenFormById(Long id);

    /**
     * 批量删除单生成记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGenFormByIds(Long[] ids);
}
